## ezpublish 2.2.8

=== DESCRIPTION ===
One-line description:

eZ publish is a content management system for e-commerce, e-publishing and intranets
eZ publish: content management system for e-commerce, e-publishing and intranets

Short description:

eZ publish is a web based application suite. It delivers functionality ranging from publishing of news, web logs and diaries, through web shop functionality like shopping carts and wishlists and forums to intranet functions like contact handling and bug reporting.

The software uses caching and other optimization techniques to speed up page serving. It handles users, user preferences and user tracking through a user database and both cookie-based and non-cookie sessions.

It supports statistics for page views, links followed and banner ads, both images and HTML with presentation logic.

The package lends itself easily to customization, from changing the look and feel by changing templates, localizing the languages and other internationalization issues to adding new functionality.

The target audience for eZ publish are e-commerce, ASP (Application Service Providers), BSP (Business Service Providers), news publishing, intranets, bug reporting, content management, discussion boards, FAQ and knowledge handling, file and image management, group ware, calendaring, polls, todo lists, appointments as well as personal web sites.



Long description:

eZ publish is a web based application suite which delivers the following
functionality:

    * Advertising with statistics
    * Article publication and management
    * Bug handling and reporting
    * Calendar functionality for creating appointments and events
    * Contact handling for keeping track of people and businesses
    * File manager for keeping track of uploaded files
    * Moderated forums for discussions
    * Image manager for keeping track of uploaded images
    * Link manager which is used to categorize links
    * News feed importing, fetch news and headlines from other sites and
      incorporate them in your own(1)
    * Poll module for creating user polls.
    * Session module for keeping track of users and their preferences
    * Statistics module for information about page views and visitors
    * To-do module for assigning tasks to people
    * Trade module which is an online shop, with shopping cart and
      wishlist
    * User management for registering users, giving access to different
      groups to different parts of the site

The software does not believe in limits(2):

    * No limits on categories and items in categories
    * Articles, products and links might belong to several different
      categories
    * No limits on people associated with a company, or the number of
      people and companies registered totally
    * No limits of addresses, phone numbers and other contact points for
      people and businesses
    * No limits on users, the groups they might belong to and number of
      user groups
      
Based on PHP, the leading programming language module for the Apache
web server software, eZ publish draws on the speed from this renown
software. The backend database is MySQL which is fast and reliable,
proven on thousands of Internet sites.

Further speed enhancements are made in the eZ publish by using caching
of data and reduced connections to the database.

All the default templates delivered with eZ publish are tested on a
diverse mix of browsers, Opera, Internet Explorer, Netscape, Konqueror
and Lynx, thus enabling all users to gain access to your site.

So called cookie-less sessions are supported, a method used to enable
user recognition even for those who objects to use cookies, no-one will
feel left out or overseen.

eZ publish keeps track of the statistics of your site. How many
visitors, from where, what do they buy and what are they looking at.

The package has been translated to several languages, you can even
translate it yourself through the eZ Babel software we've developed
for this purpose specifically.

Changing the design of your site is easy because of separation of
content and design. You don't have to know anything about PHP or coding,
just something about HTML.

For those proficient in programming PHP the source code is available,
it can be used as a basis for adding new modules and functionality
tailored to your specific needs.

The target audience for eZ publish are e-commerce, ASP (Application
Service Providers), BSP (Business Service Providers), news publishing,
intranets, bug reporting, content management, discussion boards, FAQ and
knowledge handling, file and image management, group ware, calendaring,
polls, todo lists, appointments as well as personal web sites.

     
(1) We do not encourage copyright infringements with this feature. Our
    default templates will not pass these news items as the site's own.
    Ask permission from copyright holder before publishing other site's
    news on your site.
(2) There are limits, of course, since the system is based on other
    software, and because it will run on systems with different sizes of
    hard disks and ram, as well as processor speed.
