## ezpublish 2.2.6-0.woody.1

=== debian/changelog ===
ezpublish (2.2.6-0.woody.1) testing-security; urgency=high

  * Repackaged for woody.
  * Upstream 2.2.6 fixes XSS holes according to private conversation
    with upstream (Brd Farstad <bf@ez.no>).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Jun 2002 21:39:33 +0200

ezpublish (2.2.6-1) unstable; urgency=low

  * New upstream release.
  * Misc clarifications in README.Debian.
  * Depend on php4-cgi (for the cron job).
  * Mention dh_install in TODO.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jun 2002 12:06:30 +0200

ezpublish (2.2.5-3) unstable; urgency=low

  * Properly add README.Debian (it was in the source, but wrongly named
    and silently ignored).
  * Include all language packs released since 2.2.0.
  * Add new pseudo-language en_GB_org (all instances of 'company'
    replaced with 'organisation').
  * Add da_DK and da_DK_org (based on upstream 2.2.2-dk_DK). Include
    cleanup scripts in source (debian/convert*).
  * Include module documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jun 2002 23:33:38 +0200

ezpublish (2.2.5-2) unstable; urgency=low

  * Comment out debug info in classes/ezcachefile.php.
  * Use mysql_connect() instead of mysql_pconnect() in
    classes/ezmysql.php.
  * Correct s/locale/Locale/ in ezforum/user/messageform.php.
  * All the above from various comments below the announcement on ez.no
    website.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  5 Jun 2002 19:43:06 +0200

ezpublish (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Remove dependency on php4-domxml - it is no longer needed (for some
    time now) according to upstream.
  * Suggest postgresql as alternative to mysql.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  5 Jun 2002 13:42:23 +0200

ezpublish (2.2.4-1) unstable; urgency=low

  * New upstream version.
  * Release officially (Last call for Woody?). Closes Bug#118150.
  * Rename example script ezcreate.sh to localezcreate (to match name
    used internally) and update to newest version.
  * Rewrite README.Debian and split into README and TODO.
  * Remove the corrections to the documentation about rewrite rules
    (they where right after all). Also comment out regeneration of
    documentaion and remove build-dependency on lyx.
  * Allow secure_modfix.sh to run also as www-data (or other non-root
    user).
  * Move tarballs to /usr/src/ezpublish.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Apr 2002 03:30:25 +0200

ezpublish (2.2.3-0.0.1) unstable; urgency=low

  * New upstream version.
  * Remove setcookie hacks (they didn't work...) and instead depend on
    php 4.0.7 or newer.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2002 03:32:20 +0100

ezpublish (2.2.2-0.0.6) unstable; urgency=low

  * Conflicts and provides ezpublish.
  * Consistently add |swf|mov|rm|asf|jar|wbmp to non-index.php rewrite
    rules in ezcreate.sh and documentation.
  * Make separate tarballs of languages other than en_GB (default
    language), and avoid unfinished languages (possibly too strict: only
    those with azarticle helpfile translated).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2002 01:49:45 +0100

ezpublish (2.2.2-0.0.5) unstable; urgency=low

  * Remove support for empty ezSysInfo module.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Dec 2001 21:21:33 +0100

ezpublish (2.2.2-0.0.4) unstable; urgency=low

  * Don't create ezexample cache.
  * Rewrite debian/rules to more clever use of tar (tremendous build
    speed improvement).
  * Remove patches to ezinstaller.sh and move it to examples.
  * Rename localezcreate -> ezcreate.sh and make it work with tarballs
    only.
  * Install all parts as tarballs now (give up trying to reuse data for
    now).
  * Rename package ezpublish -> ezpublish-src to reflect my failure in
    automating the install process.
  * Enable building installation documentation, and Build-Depends-Indep
    on lyx.
  * Cleanup upstream data.tar.gz for CVS noise.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  5 Dec 2001 18:22:51 +0100

ezpublish (2.2.2-0.0.3) unstable; urgency=low

  * Fix logout crashing Apache: Avoid bug in PHP < 4.0.7 by using
    eZHTTPTool::setCookie everywhere (why did the eZ people comment this
    out in ezsession?).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Nov 2001 16:46:49 +0100

ezpublish (2.2.2-0.0.2) unstable; urgency=low

  * Make sure clearcache and modfix scripts - both normal and secure -
    include _all_ cache dirs.
  * Hack ezsitemanager/admin/cacheadmin.php to use
    /usr/share/ezpublish/bin instead of ./ when running clearcache.sh.
  * Suggests: mysql-server.
  * Never chmod 777 or 666 - use 770 and 660 instead (if we are not in
    same group as webserver we have a problem already!).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Dec 2001 04:05:24 +0100

ezpublish (2.2.2-0.0.1) unstable; urgency=low

  * New upstream version.
  * Add documentation build (needed because of corrections from upstream
    lyx source, but commented out as it only contains install info that
    is normally irrellevant).
  * Add example localezinstall script to automate creation of an eZ
    site.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Nov 2001 20:03:12 +0100

ezpublish (2.2-0.0.3) unstable; urgency=low

  * Rearrange everything into public, template and shared files.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Oct 2001 23:36:52 +0300

ezpublish (2.2-0.0.2) unstable; urgency=low

  * Add new sitedir.ini tag: "sharedDir" pointing to files shared among
    all sites.
  * Add sitedir.ini tag "cacheDir" as well, for separating static (but
    customizable) content and cache files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Oct 2001 03:50:03 +0300

ezpublish (2.2-0.0.1) unstable; urgency=low

  * Final 2.2 release.
  * Let this be an unofficial package for now (seems to take me longer
    than expected to make it ready for Debian...).
  * Implement (some of) ezinstaller.sh in debian/rules.
  * Patch INSTALL.* to include wbmp and jar in all RewriteRule lines

